> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all questionnaires' answers



## OpenAPI

````yaml /openapi/kyb.yaml get /kyb/forms/{companyId}/questionnaires/answers/detail/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/forms/{companyId}/questionnaires/answers/detail/:
    get:
      tags:
        - KYB Questionnaires
      summary: Retrieve all questionnaires' answers
      operationId: kybFormsQuestionnairesAnswersDetailList
      parameters:
        - in: path
          name: companyId
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KybAnswersDisplay'
          description: ''
      security:
        - kybTokenAuth: []
        - apiKeyPair: []
components:
  schemas:
    KybAnswersDisplay:
      type: object
      properties:
        title:
          type: string
        sections:
          type: array
          items:
            $ref: '#/components/schemas/QuestionnaireAnswersDisplaySections'
        id:
          type: string
          description: A unique identifier for the questionnaire.
        name:
          type: string
      required:
        - id
        - name
        - sections
        - title
    QuestionnaireAnswersDisplaySections:
      type: object
      properties:
        title:
          type: string
        questions:
          type: array
          items:
            $ref: '#/components/schemas/QuestionnaireAnswersDisplayQuestions'
      required:
        - questions
        - title
    QuestionnaireAnswersDisplayQuestions:
      type: object
      properties:
        key:
          type: string
        title:
          type: string
        type:
          $ref: '#/components/schemas/TypeB9cEnum'
        value:
          oneOf:
            - type: array
              items:
                type: string
            - type: string
            - type: boolean
          nullable: true
          readOnly: true
      required:
        - key
        - title
        - type
        - value
    TypeB9cEnum:
      enum:
        - CHECKBOX
        - COLOR
        - COUNTRY
        - COUNTRY_MULTI
        - DATE
        - DATETIME
        - EMAIL
        - FILE
        - FILE_MULTI
        - FLOAT
        - LIST
        - INTEGER
        - PASSWORD
        - RADIO
        - SELECT
        - SELECT_MULTI
        - TEL
        - TEXT
        - TEXT_AREA
        - TIME
        - URL
      type: string
  securitySchemes:
    kybTokenAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication for actions with all operations associated with KYB
        form.<br>

        Token obtained from *KYB form token generation* endpoint as
        ``tokenString`` value.<br>
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````